%define upstream_name    CPAN-Checksums
%define upstream_version 2.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Write a C<CHECKSUMS> file for a directory as on CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Data::Compare)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(DirHandle)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Module::Signature)
BuildArch:  noarch

%description
* $success = updatedir($dir)

  'updatedir()' takes a directory name as argument and writes a typical
  'CHECKSUMS' file in that directory as used on CPAN unless a previously
  written 'CHECKSUMS' file is there that is still valid. Returns 2 if a new
  'CHECKSUMS' file has been written, 1 if a valid 'CHECKSUMS' file is
  already there, otherwise dies.

  Note: since version 2.0 updatedir on empty directories behaves just the
  same. In older versions it silently did nothing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f *.list
rm -f t/00signature.t
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.140.0-3.mga10
+ Revision: 2207301
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.140.0-2.mga9
+ Revision: 1815777
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 2.140.0-1.mga9
+ Revision: 1761809
- update to 2.14

* Fri Nov 26 2021 tv <tv> 2.130.0-1.mga9
+ Revision: 1759510
- update to 2.13

* Wed Feb 12 2020 umeabot <umeabot> 2.120.0-3.mga8
+ Revision: 1503487
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.120.0-2.mga7
+ Revision: 1281861
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 2.120.0-1.mga7
+ Revision: 1133002
- update to 2.12

* Sat Jun 18 2016 pterjan <pterjan> 2.110.0-2.mga6
+ Revision: 1024420
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.110.0-1.mga6
+ Revision: 1001635
- update to 2.11

* Fri Feb 19 2016 umeabot <umeabot> 2.100.0-2.mga6
+ Revision: 967644
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 2.100.0-1.mga6
+ Revision: 849960
- update to 2.10

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-3.mga5
+ Revision: 744430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-2.mga5
+ Revision: 683669
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 2.90.0-1.mga5
+ Revision: 614611
- update to 2.09

* Fri Oct 18 2013 umeabot <umeabot> 2.80.0-3.mga4
+ Revision: 509494
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.80.0-2.mga3
+ Revision: 363604
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 136579
- update to 2.08

* Mon Jan 24 2011 jquelin <jquelin> 2.70.0-1.mga1
+ Revision: 37031
- mageia rebuild
- imported package perl-CPAN-Checksums

